Summary: GNU libc
name: glibc
Version: 0.961212
Release: 4
Copyright: LGPL, GPL
ExclusiveArch: alpha
Group: Development/Libraries/Libc
Source0: libc-961212-ewt.tar.gz
#Source1: ftp.redhat.com:/pub/glibc/glibc-linuxthreads-961119.tar.gz
#Source2: ftp.redhat.com:/pub/glibc/glibc-crypt-961016.tar.gz
#Source3: ftp.redhat.com:/pub/glibc/glibc-nis-961119.tar.gz
Source4: ftp.azstarnet.com:/pub/linux/axp/glibc/axp-extras-960810.tar.gz
Source5: glibc-strncpy.shar

Patch3: nova.campus.luth.se:/pub/linux/axp/elf64/patches/libc-fsstnd-4.diff.gz
Patch4: nova.campus.luth.se:/pub/linux/axp/elf64/patches/libc.zic.symlink.hack.diff.gz
Patch6: libc-961117-ldd.patch
Patch7: glibc-shadow.patch
Provides: ld.so.1

%description
Contains the standard libraries that are used by multiple programs on
the system. In order to save disk space and memory, as well as to
ease upgrades, common system code is kept in one place and shared between
programs. This package contains the most important sets of shared libraries,
the standard C library and the standard math library. Without these, a
Linux system will not function. It also contains national language (locale)
support and timezone databases.

%package info
Summary: info files for glibc and related libraries
Group: Development/Libraries/Libc

%description info
This package contains all of texinfo documentation on GNU libc, including 
implementation details and information for programmers.

%package devel
Summary: Additional libraries required to compile
Group: Development/Libraries/Libc
Requires: glibc-static kernel-headers

%description devel
To develop programs which use the standard C libraries (which nearly all
programs do), the system needs to have these standard header files and object
files available for creating the executables.

%package static
Summary: Libraries for static linking
Group: Development/Libraries/Libc

%description static
While most programs are distributed dynamically linked, and therefore need
access to the standard shared libraries, some developers prefer to
ship programs statically linked, which includes all of the standard library
code in the executable. While this results in significantly larger
programs and increases their memory usage, it does increase the portability
of programs between Linux systems.

%package profile
Summary: glibc with profiling support
Group: Development/Libraries/Libc

%description profile
When programs are being profiled used gprof, they must use these libraries
instrad of the standard C libraries for gprof to be able to profile
them correctly.

%prep 
rm -rf libc.works
tar xzf $RPM_SOURCE_DIR/libc-961212-ewt.tar.gz
%setup -D -T -n libc.works

%patch3 -p1
%patch4 -p1 
%patch6 -p1 
%patch7 -p1 -b .ewt

tar xvzf $RPM_SOURCE_DIR/axp-extras-960810.tar.gz

chmod +x autolock.sh

find . -type f -name "*.orig" | xargs rm -rf 
find . -type f -empty | xargs rm -rf 
find . -type d -name "CVS" | xargs rm -rf
rm -f sysdeps/gnu/errlist.c

rm -f sysdeps/alpha/strncpy.S
rm -f sysdeps/alpha/strncat.S
rm -f sysdeps/alpha/stpncpy.S
rm -f sysdeps/alpha/stxncpy.S
cd sysdeps/alpha
sh $RPM_SOURCE_DIR/glibc-strncpy.shar 

%build
CFLAGS="$RPM_OPT_FLAGS -DNDEBUG=1" ./configure --enable-add-ons=des-crypt,nis,linuxthreads

# kludge alert!
mv config.h config.h.orig
sed "s,/.*#undef.*HAVE_STRERROR.*/,#define HAVE_STRERROR 1," < config.h.orig > config.h

# I don't know why this is necessary, but the toplevel Makefile seems broken
(cd resolv; make)
(cd nss; make)
make

%install
rm -rf /usr/lib/zoneinfo
make -k install
(cd /usr/info ; gzip -9nf libc*)
strip /usr/bin/locale
strip /usr/bin/localedef
strip /usr/bin/gencat
strip /usr/bin/rpcgen
strip /usr/sbin/rpcinfo
strip /usr/sbin/zic
strip /usr/sbin/zdump
rm -rf /usr/lib/zoneinfo/{localtime,posixtime,posixrules}
ln -sf /etc/localtime /usr/lib/zoneinfo/localtime
ln -sf localtime /usr/lib/zoneinfo/posixtime
ln -sf localtime /usr/lib/zoneinfo/posixrules
ln -sf /usr/src/linux/include/linux /usr/include/linux
ln -sf /usr/src/linux/include/asm /usr/include/asm
ln -sf /usr/src/linux/include/scsi /usr/include/scsi
ln -sf /usr/lib/libbsd-compat.a /usr/lib/libbsd.a

# we need some extra header files
cd axp-extras-960810
for n in aouthdr.h bsd/bsd.h bsd/tzfile.h filehdr.h \
	 netinet/ip.h netinet/ip_icmp.h netinet/ip_tcp.h netinet/ip_udp.h \
	 netinet/protocols.h netinet/udp.h scnhdr.h sym.h syms.h \
	 sys/serial.h sys/sockio.h sys/ultrasound.h; do
	cp -v $n /usr/include/$n
done
cd ..

install -o 0 -g 0 -m 644 $RPM_SOURCE_DIR/nsswitch.conf /etc/nsswitch.conf

%changelog

* Tue Feb 18 1997 Erik Troan <ewt@redhat.com>

1) added patch for shadow to work w/ :: rather then :-1: entries
2) incorporated Richard Henderson's string operation fix
3) added default /etc/nsswitch.conf

%files
%config /etc/nsswitch.conf
/lib/ld.so.1
/lib/libBrokenLocale-1.99.so
/lib/libBrokenLocale.so.1
/lib/libc-1.99.so
/lib/libc.so.6
/lib/libcrypt-1.99.so
/lib/libcrypt.so.1
/lib/libdb-1.99.so
/lib/libdb.so.2
/lib/libdl-1.99.so
/lib/libdl.so.2
/lib/libm-1.99.so
/lib/libm.so.6
/lib/libnsl-0.7.so
/lib/libnsl.so.1
/lib/libnss_compat-0.7.so
/lib/libnss_compat.so.1
/lib/libnss_db-1.99.so
/lib/libnss_db.so.1
/lib/libnss_dns-1.99.so
/lib/libnss_dns.so.1
/lib/libnss_files-1.99.so
/lib/libnss_files.so.1
/lib/libnss_nis-0.7.so
/lib/libnss_nis.so.1
/lib/libpthread-0.5.so
/lib/libpthread.so.0
/lib/libresolv-1.99.so
/lib/libresolv.so.2
/lib/libutil-1.99.so
/lib/libutil.so.1
/usr/bin/gencat
/usr/bin/getconf
/usr/bin/ldd
/usr/bin/locale
/usr/bin/localedef
/usr/bin/rpcgen
/usr/bin/ypcat
/usr/bin/ypmatch
/usr/bin/ypwhich
/usr/include/gnu-versions.h
/usr/include/libc-lock.h
/usr/lib/locale/locale.alias
#/usr/lib/locale/*/LC_MESSAGES/libc.mo
/usr/lib/zoneinfo
/usr/sbin/rpcinfo
/usr/sbin/yppoll
/usr/sbin/ypset
/usr/sbin/zdump
/usr/sbin/zic

%files info
/usr/info/libc*

%files devel
/usr/lib/Mcrt1.o
/usr/lib/crt1.o
/usr/lib/crtbegin.o
/usr/lib/crtend.o
/usr/lib/crti.o
/usr/lib/crtn.o
/usr/lib/gcrt1.o
/usr/lib/libBrokenLocale.so
/usr/lib/libbsd-compat.a
/usr/lib/libbsd.a
/usr/lib/libc.so
/usr/lib/libcrypt.so
/usr/lib/libdb.so
/usr/lib/libdl.so
/usr/lib/libieee.a
/usr/lib/libm.so
/usr/lib/libnsl.so
/usr/lib/libnss_compat.so
/usr/lib/libnss_db.so
/usr/lib/libnss_dns.so
/usr/lib/libnss_files.so
/usr/lib/libnss_nis.so
/usr/lib/libpthread.so
/usr/lib/libresolv.so
/usr/lib/librpcsvc.a
/usr/lib/libutil.so

/usr/include/linux
/usr/include/asm
%dir /usr/include/alpha
%dir /usr/include/arpa
%dir /usr/include/bsd
%dir /usr/include/gnu
%dir /usr/include/net
%dir /usr/include/netinet
%dir /usr/include/nfs
%dir /usr/include/protocols
%dir /usr/include/rpc
%dir /usr/include/rpcsvc
%dir /usr/include/sys
/usr/include/_G_config.h
/usr/include/__math.h
/usr/include/a.out.h
/usr/include/aliases.h
/usr/include/alloca.h
/usr/include/alpha/ptrace.h
/usr/include/alpha/regdef.h
/usr/include/ar.h
/usr/include/argz.h
/usr/include/arpa/ftp.h
/usr/include/arpa/inet.h
/usr/include/arpa/nameser.h
/usr/include/arpa/telnet.h
/usr/include/arpa/tftp.h
/usr/include/aouthdr.h
/usr/include/assert.h
/usr/include/bsd/bsd.h
/usr/include/bsd/tzfile.h
/usr/include/bytesex.h
/usr/include/confname.h
/usr/include/crypt.h
/usr/include/ctype.h
/usr/include/db.h
/usr/include/dirent.h
/usr/include/direntry.h
/usr/include/dlfcn.h
/usr/include/elf.h
/usr/include/elfclass.h
/usr/include/endian.h
/usr/include/envz.h
/usr/include/err.h
/usr/include/errno.h
/usr/include/errnos.h
/usr/include/error.h
/usr/include/fcntl.h
/usr/include/fcntlbits.h
/usr/include/features.h
/usr/include/filehdr.h
/usr/include/fnmatch.h
/usr/include/fpu_control.h
/usr/include/fstab.h
/usr/include/fts.h
/usr/include/ftw.h
/usr/include/getopt.h
/usr/include/glob.h
/usr/include/gnu-versions.h
/usr/include/gnu/lib-names.h
/usr/include/gnu/types.h
/usr/include/grp.h
/usr/include/huge_val.h
/usr/include/ioctl-types.h
/usr/include/ioctls.h
/usr/include/iovec.h
/usr/include/jmp_buf.h
/usr/include/langinfo.h
/usr/include/lastlog.h
/usr/include/libc-lock.h
/usr/include/libgen.h
/usr/include/libintl.h
/usr/include/libio.h
/usr/include/limits.h
/usr/include/link.h
/usr/include/local_lim.h
/usr/include/locale.h
/usr/include/malloc.h
/usr/include/math.h
/usr/include/mathcalls.h
/usr/include/memory.h
/usr/include/mntent.h
/usr/include/monetary.h
/usr/include/mpool.h
/usr/include/nan.h
/usr/include/ndbm.h
/usr/include/net/if.h
/usr/include/net/if_arp.h
/usr/include/net/if_ppp.h
/usr/include/net/ppp-comp.h
/usr/include/net/ppp_defs.h
/usr/include/net/route.h
/usr/include/netdb.h
/usr/include/netinet/ether.h
/usr/include/netinet/if_ether.h
/usr/include/netinet/in.h
/usr/include/netinet/in_systm.h
/usr/include/netinet/ip.h
/usr/include/netinet/ip_icmp.h
/usr/include/netinet/ip_tcp.h
/usr/include/netinet/ip_udp.h
/usr/include/netinet/protocols.h
/usr/include/netinet/tcp.h
/usr/include/netinet/udp.h
/usr/include/nfs/nfs.h
/usr/include/nl_types.h
/usr/include/nss.h
/usr/include/obstack.h
/usr/include/paths.h
/usr/include/poll.h
/usr/include/posix1_lim.h
/usr/include/posix2_lim.h
/usr/include/posix_opt.h
/usr/include/printf.h
/usr/include/protocols/routed.h
/usr/include/protocols/rwhod.h
/usr/include/protocols/talkd.h
/usr/include/protocols/timed.h
/usr/include/pthread.h
/usr/include/pty.h
/usr/include/pwd.h
/usr/include/re_comp.h
/usr/include/regex.h
/usr/include/regexp.h
/usr/include/resolv.h
/usr/include/resourcebits.h
/usr/include/rpc/auth.h
/usr/include/rpc/auth_des.h
/usr/include/rpc/auth_unix.h
/usr/include/rpc/clnt.h
/usr/include/rpc/netdb.h
/usr/include/rpc/pmap_clnt.h
/usr/include/rpc/pmap_prot.h
/usr/include/rpc/pmap_rmt.h
/usr/include/rpc/rpc.h
/usr/include/rpc/rpc_msg.h
/usr/include/rpc/svc.h
/usr/include/rpc/svc_auth.h
/usr/include/rpc/types.h
/usr/include/rpc/xdr.h
/usr/include/rpcsvc/bootparam.h
/usr/include/rpcsvc/bootparam.x
/usr/include/rpcsvc/bootparam_prot.h
/usr/include/rpcsvc/klm_prot.h
/usr/include/rpcsvc/klm_prot.x
/usr/include/rpcsvc/mount.h
/usr/include/rpcsvc/mount.x
/usr/include/rpcsvc/nfs_prot.h
/usr/include/rpcsvc/nfs_prot.x
/usr/include/rpcsvc/nlm_prot.h
/usr/include/rpcsvc/nlm_prot.x
/usr/include/rpcsvc/rex.h
/usr/include/rpcsvc/rex.x
/usr/include/rpcsvc/rquota.h
/usr/include/rpcsvc/rquota.x
/usr/include/rpcsvc/rstat.h
/usr/include/rpcsvc/rstat.x
/usr/include/rpcsvc/rusers.h
/usr/include/rpcsvc/rusers.x
/usr/include/rpcsvc/sm_inter.h
/usr/include/rpcsvc/sm_inter.x
/usr/include/rpcsvc/spray.h
/usr/include/rpcsvc/spray.x
/usr/include/rpcsvc/yp.h
/usr/include/rpcsvc/yp.x
/usr/include/rpcsvc/yp_prot.h
/usr/include/rpcsvc/ypclnt.h
/usr/include/rpcsvc/yppasswd.h
/usr/include/rpcsvc/yppasswd.x
/usr/include/rpcsvc/ypupd.h
/usr/include/sched.h
/usr/include/schedbits.h
/usr/include/scnhdr.h
/usr/include/search.h
/usr/include/semaphore.h
/usr/include/semaphorebits.h
/usr/include/setjmp.h
/usr/include/sgtty.h
/usr/include/shadow.h
/usr/include/sigaction.h
/usr/include/sigcontext.h
/usr/include/signal.h
/usr/include/signum.h
/usr/include/sigset.h
/usr/include/sockaddrcom.h
/usr/include/socketbits.h
/usr/include/stab.def
/usr/include/stab.h
/usr/include/statbuf.h
/usr/include/statfsbuf.h
/usr/include/stdio.h
/usr/include/stdio_lim.h
/usr/include/stdlib.h
/usr/include/string.h
/usr/include/strings.h
/usr/include/stubs.h
/usr/include/sym.h
/usr/include/syms.h
/usr/include/sys/acct.h
/usr/include/sys/bitypes.h
/usr/include/sys/cdefs.h
/usr/include/sys/debugreg.h
/usr/include/sys/dir.h
/usr/include/sys/errno.h
/usr/include/sys/fcntl.h
/usr/include/sys/file.h
/usr/include/sys/gmon.h
/usr/include/sys/gmon_out.h
/usr/include/sys/io.h
/usr/include/sys/ioctl.h
/usr/include/sys/ipc.h
/usr/include/sys/ipc_buf.h
/usr/include/sys/kd.h
/usr/include/sys/kdaemon.h
/usr/include/sys/klog.h
/usr/include/sys/mman.h
/usr/include/sys/module.h
/usr/include/sys/mount.h
/usr/include/sys/msg.h
/usr/include/sys/msq_buf.h
/usr/include/sys/mtio.h
/usr/include/sys/param.h
/usr/include/sys/poll.h
/usr/include/sys/procfs.h
/usr/include/sys/ptrace.h
/usr/include/sys/queue.h
/usr/include/sys/reboot.h
/usr/include/sys/resource.h
/usr/include/sys/select.h
/usr/include/sys/sem.h
/usr/include/sys/sem_buf.h
/usr/include/sys/serial.h
/usr/include/sys/shm.h
/usr/include/sys/shm_buf.h
/usr/include/sys/signal.h
/usr/include/sys/socket.h
/usr/include/sys/socketcall.h
/usr/include/sys/socketvar.h
/usr/include/sys/sockio.h
/usr/include/sys/soundcard.h
/usr/include/sys/stat.h
/usr/include/sys/statfs.h
/usr/include/sys/swap.h
/usr/include/sys/syscall.h
/usr/include/sys/sysctl.h
/usr/include/sys/sysinfo.h
/usr/include/sys/syslog.h
/usr/include/sys/sysmacros.h
/usr/include/sys/termios.h
/usr/include/sys/time.h
/usr/include/sys/timeb.h
/usr/include/sys/times.h
/usr/include/sys/timex.h
/usr/include/sys/ttychars.h
/usr/include/sys/ttydefaults.h
/usr/include/sys/types.h
/usr/include/sys/uio.h
/usr/include/sys/ultrasound.h
/usr/include/sys/un.h
/usr/include/sys/unistd.h
/usr/include/sys/user.h
/usr/include/sys/ustat.h
/usr/include/sys/utsname.h
/usr/include/sys/vfs.h
/usr/include/sys/vlimit.h
/usr/include/sys/vt.h
/usr/include/sys/vtimes.h
/usr/include/sys/wait.h
/usr/include/syscall-list.h
/usr/include/syscall.h
/usr/include/sysexits.h
/usr/include/syslog.h
/usr/include/tar.h
/usr/include/termbits.h
/usr/include/termio.h
/usr/include/termios.h
/usr/include/time.h
/usr/include/timebits.h
/usr/include/ttyent.h
/usr/include/unistd.h
/usr/include/ustat.h
/usr/include/ustatbits.h
/usr/include/utime.h
/usr/include/utmp.h
/usr/include/utmpbits.h
/usr/include/utsnamelen.h
/usr/include/values.h
/usr/include/wait.h
/usr/include/waitflags.h
/usr/include/waitstatus.h
/usr/include/wchar.h
/usr/include/wctype.h
/usr/include/wordexp.h
/usr/include/xopen_lim.h

%files static
/usr/lib/libBrokenLocale.a
/usr/lib/libc.a
/usr/lib/libcrypt.a
/usr/lib/libdb.a
/usr/lib/libdl.a
/usr/lib/libm.a
/usr/lib/libm_p.a
/usr/lib/libnsl.a
/usr/lib/libposix.a
/usr/lib/libpthread.a
/usr/lib/libresolv.a
/usr/lib/libutil.a

%files profile
/usr/lib/libBrokenLocale_p.a
/usr/lib/libc_p.a
/usr/lib/libcrypt_p.a
/usr/lib/libdb_p.a
/usr/lib/libdl_p.a
/usr/lib/libnsl_p.a
/usr/lib/libpthread_p.a
/usr/lib/libresolv_p.a
/usr/lib/librpcsvc_p.a
/usr/lib/libutil_p.a
